<?
function logger($text) {
    global $log_path,$PHP_SELF,$argv;
    
    if ($PHP_SELF=="") $aux = $argv[0];
	else $aux = $PHP_SELF;
    
    $file = str_replace(".php","",basename(strval($aux)));
    $date = date("Y-m-d",time());
    $filename = "$log_path/$file-$date.log.html";
    $filemaster = "$log_path/master-$date.log.html";
    
    $hour = date("H:i:s",time());
    
    $log = fopen($filename,"a+");
    fputs($log,"$hour $text");
    fclose($log);

    //to create a Master Log
    
    //$log = fopen($filemaster,"a+");
    //fputs($log,"$file $hour:\t$text");
    //fclose($log);

    echo $text;
}

function select_op($name,$op) {
    $select .="<select name='$name'>\n\t";
    $ops = Array("=","!=",">","<");
    foreach ($ops as $aux){
	if ($aux==$op) $selected = " selected";
	    else $selected ="";
	$select .="<option value='$aux'$selected>".htmlspecialchars($aux)."</option>\n\t";
    }
    $select .="<select>";
    return $select;
}    

function ImageStringCenter($im,$color,$y,$text) {
	$size = 2;
	$charsize = 6;
	$len = (strlen($text)*$charsize);
	$sizex = imagesx($im);

	if ($len > $sizex) {
	    $aux = explode(" ",$text);
	    if (count($aux) > 1) 
		$text = $aux[1]; //intentar sacar el segundo parametro 
	    else $text = substr($text,0,($sizex/$charsize));
		$len = (strlen($text)*$charsize);
	}

	$x=($sizex/2)-($len/2);
	ImageString ($im, $size, $x, $y, $text,$color);
}


function rrd_grapher($filename,$graph,$def_especial,$title,$graph_time,$bandwidthin,$bandwidthout, $flipinout, $opts_aux = "") {
		$bandwidthin_k=($bandwidthin/1000);
		$bandwidthout_k=($bandwidthout/1000);

		$opts_header = array( 
		    "--start=-$graph_time",
		    "--end=-500",
    		    "--base=1000",
		    "--lower-limit=1",
		    "--title=$title",
		    "--alt-autoscale-max", 
		    "--height=135",
		    "--width=400",
		    "--color=GRID#CCCCCC",
		    "--color=MGRID#CCCCCC"
		    );

		if (!is_array($opts_aux)) $ip_add="   IP Address\: $opts_aux";
		
		$opts_GRAPH = array( 		    
		    "CDEF:inputbits=input,8,*",
		    "CDEF:outputbits=output,8,*",
    		    "HRULE:$bandwidthin#FF000:Total Inbound  Bandwidth\: $bandwidthin_k kbps\\n",     
    		    "HRULE:$bandwidthout#AA000:Total Outbound Bandwidth\: $bandwidthout_k kbps $ip_add\\n",     

        	    "AREA:inputbits#00CC00:Inbound ",
                    "GPRINT:inputbits:MAX:Max\:%8.2lf %sbps",
                    "GPRINT:inputbits:AVERAGE:Average\:%8.2lf %sbps",
                    "GPRINT:inputbits:LAST:Last\:%8.2lf %sbps\\n",

		    "LINE2:outputbits#0000FF:Outbound",
                    "GPRINT:outputbits:MAX:Max\:%8.2lf %sbps",
                    "GPRINT:outputbits:AVERAGE:Average\:%8.2lf %sbps",
                    "GPRINT:outputbits:LAST:Last\:%8.2lf %sbps");
	
		if ($def_especial==0) {  //normal traffic
		    if ($flipinout==1) $opts_DEF = array("DEF:output=$filename:input:AVERAGE", "DEF:input=$filename:output:AVERAGE");
			else $opts_DEF = array("DEF:input=$filename:input:AVERAGE", "DEF:output=$filename:output:AVERAGE");
		    $opts_header[] = "--vertical-label=Bits per Second";
		}

		if ($def_especial==1) { //errores
		    $opts_DEF = array("DEF:input=$filename:inputerrors:AVERAGE", "DEF:output=$filename:outputerrors:AVERAGE");
		    $opts_GRAPH = array( 		    
		    
        	    "AREA:input#00CC00:Input Errors ",
                    "GPRINT:input:MAX:Max\:%8.0lf %sEps",
                    "GPRINT:input:AVERAGE:Average\:%8.0lf %sEps",
                    "GPRINT:input:LAST:Last\:%8.0lf %sEps\\n",

		    "LINE2:output#0000FF:Output Errors",
                    "GPRINT:output:MAX:Max\:%8.0lf %sEps",
                    "GPRINT:output:AVERAGE:Average\:%8.0lf %sEps",
                    "GPRINT:output:LAST:Last\:%8.0lf %sEps");

		    $opts_header[] = "--vertical-label=Errors per Seceond";
		}

		if ($def_especial==2) { //def_especial = 2 dejar pasar SUMA
		    $opts_header[] = "--vertical-label=Bits per Second";
		    $opts_DEF = $opts_aux;
		}


		if ($def_especial==3) { //rtt
		    $max=1000;
		    $opts_header[] = "-r";
		    $opts_DEF = array(	"DEF:rtt=$filename:rtt:MAX");
		    $opts_GRAPH = array( 		    
        	    "AREA:rtt#00CC00:Round Trip Time ",
                    "GPRINT:rtt:MAX:Max\:%5.0lf msec",
                    "GPRINT:rtt:AVERAGE:Average\:%5.0lf msec",
                    "GPRINT:rtt:LAST:Last\:%5.0lf msec\\n",
		    "COMMENT:Peer IP Address: $opts_aux",
		    );
		    $opts_header[] = "--vertical-label=RTT in Milliseconds";
		}

		if ($def_especial==4) { //packetloss
		    
		    if ($flipinout==1) $opts_DEF = array("DEF:output=$filename:input:AVERAGE", "DEF:input=$filename:output:AVERAGE");
			else $opts_DEF = array("DEF:input=$filename:input:AVERAGE", "DEF:output=$filename:output:AVERAGE");

		    $opts_DEF[] = "DEF:plraw=$filename:packetloss:MAX";
		    $opts_GRAPH = array( 		    
		    "CDEF:inputbits=input,8,*",
		    "CDEF:outputbits=output,8,*",
    		    "HRULE:$bandwidthin#55000:Total Inbound  Bandwidth\: $bandwidthin_k kbps",     
    		    "HRULE:$bandwidthout#99000:Total Outbound Bandwidth\: $bandwidthout_k kbps",     
		    
		    "CDEF:plpor=plraw,2,*",
		    "CDEF:pldiv=plraw,2,/",
		    "CDEF:bigger=inputbits,outputbits,MAX",
		    "CDEF:10bigger=10,bigger,*,100,/",
		    "CDEF:pl=10bigger,pldiv,*",
		    
		    "AREA:bigger#FFFFFF:",
		    "STACK:pl#FF0000:Packet Loss ",
        	    "GPRINT:plpor:MAX:Max\:%5.0lf %%      ",
                    "GPRINT:plpor:AVERAGE:Average\:%5.0lf %%      ",
                    "GPRINT:plpor:LAST:Last\:%5.0lf %%\\n",

		    "AREA:inputbits#00CC00:Inbound",
                    //"GPRINT:inputbits:MAX:Max\:%8.2lf %sbps",
                    //"GPRINT:inputbits:AVERAGE:Average\:%8.2lf %sbps",
                    //"GPRINT:inputbits:LAST:Last\:%8.2lf %sbps\\n",


		    "LINE2:outputbits#0000FF:Outbound    ",
                    //"GPRINT:outputbits:MAX:Max\:%8.2lf %sbps",
                    //"GPRINT:outputbits:AVERAGE:Average\:%8.2lf %sbps",
                    //"GPRINT:outputbits:LAST:Last\:%8.2lf %sbps\\n"
    		    );

		    $opts_header[] = "--vertical-label=% of Lost Packets";
		}
		
		$opts = array_merge($opts_header,$opts_DEF,$opts_GRAPH);
		//var_dump($opts);
		$ret = rrd_graph("$graph", $opts, count($opts));
	    
		if ( !is_array($ret) ) { 
    		    echo "rrd_graph() ERROR: ".rrd_error();
		    exit;
		}  
}

function adm_frame_menu_split ($adm_name) { 
    global $actionid, $jffnms_rel_path,$REQUEST_URI;
    adm_frame_menu("50%","$REQUEST_URI","50%","$jffnms_rel_path/admin/adm/adm_$adm_name.php?filter=$actionid");
}

function adm_frame_menu($size1,$url1,$size2,$url2) {
    global $jffnms_rel_path;
    echo "<SCRIPT> parent.location = '$jffnms_rel_path/admin/menu_frame.php?size1=$size1&scroll1=yes&name1=$url1&size2=$size2&scroll2=yes&name2=$url2'; </SCRIPT>";
    die();
}

function adm_form_close() {
?>
    </form>
<?
 }

function adm_form($action = "") {
    global $SCRIPT_NAME, $id, $init;
?>
    <form action="<? echo $SCRIPT_NAME?>?" METHOD="POST">
    <input type="hidden" name="actionid" value="<? echo $id ?>">
<? if ($action) { ?>
    <input type="hidden" name="action" value="<? echo $action ?>">
<? } ?>
    <input type="hidden" name="init" value="<? echo $init ?>">
<?
}

function adm_header($title,$bgcolor = "#F5F5F5") {
    global $refresh,$REQUEST_URI;
?>
<!--
/* <? echo "$title\n" ?>
 * Copyright (C) <2002> Javier Szyszlican <javier@szysz.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
-->
<HTML>
<HEAD>
<TITLE><? echo $title ?> Administration</TITLE>
    <meta HTTP-EQUIV="Pr1agma" CONTENT="no-cache">
<? if ($refresh) { ?>
    <meta HTTP-EQUIV="Refresh" CONTENT="<? echo "$refresh;$REQUEST_URI" ?>">
<? } ?>
<SCRIPT>
function setPointer(theCell,select)
{
}

function setRowPointer(theRow, thePointerColor)
{
    if (typeof(theRow.style) == 'undefined' || typeof(theRow.cells) == 'undefined') {
        return false;
    }
    var row_cells_cnt           = theRow.cells.length;
    for (var c = 0; c < row_cells_cnt; c++) {
        theRow.cells[c].bgColor = thePointerColor;
    }
    return true;
}

function setPointerOut(all)
{
}

function onClickControl(all)
{
}

function DeleteRow(id,url){
    if (confirm("Are your sure you want to delete this record (ID "+id+") ?")) window.location = url;
}

</SCRIPT>
</HEAD>
<BODY leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" bgcolor="<? echo $bgcolor ?>">
<?
}

function adm_table_header($title,$init,$span, $cols) {
?>
<table align="center" border="0" cellpadding="2" cellspacing="1" width="100%">
<? 
    table_header($title,$init,$span,$cols); 
}

function adm_table_row ($bgColor = "") {
    global $overColor, $normalColor;
    if ($bgColor=="") $bgColor = $normalColor;
?>
    <tr onmouseover="setRowPointer(this, '<? echo $overColor?>')" onmouseout="setRowPointer(this, '<? echo $bgColor; ?>')" bgcolor="<? echo $bgColor ?>">
<?
}

function adm_table_row_close () {
?>
    </tr>
<?
}

function adm_table_header_cell ($name, $align = "left", $colspan = 1) {
?>
	<td nowrap colspan='<? echo $colspan ?>' align='<? echo $align ?>'><b><? echo $name ?></b></td>
<?
}

function adm_table_cell ($name, $align = "left", $colspan = 1) {
?>
	<td nowrap colspan='<? echo $colspan ?>' align='<? echo $align ?>'><? echo $name ?></td>
<?
}

function adm_control_header($title) {
    global $REQUEST_URI,$refresh,$normalColor,$overColor,$selectedColor;
?>
<!--
/* Controls
 * Copyright (C) <2002> Javier Szyszlican <javier@szysz.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
-->
<HTML>
<HEAD>
<TITLE><? echo $title ?></TITLE>
    <meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<? if ($refresh) { ?>
    <meta HTTP-EQUIV="Refresh" CONTENT="<? echo "$refresh;$REQUEST_URI" ?>">
<? } ?>
<SCRIPT>
var normalColor = '<? echo $normalColor ?>';
var overColor = '<? echo $overColor ?>';
var selectedColor = '<? echo $selectedColor ?>';

function setPointer(theCell,select)
{
    if (select == true) {
	theCell.bgColor = selectedColor;
    } else if (theCell.bgColor.toUpperCase() == normalColor.toUpperCase()) 
	    theCell.bgColor = overColor;
    return true;
}

function setPointerOut(all)
{
    theRow = document.getElementById("control_tr");
    for (var c = 0; c < theRow.cells.length; c++) {
	if ((theRow.cells[c].bgColor.toUpperCase() == overColor.toUpperCase()) || (all == true))
	    theRow.cells[c].bgColor = normalColor;
    }
    return true;
}

function onClickControl(CellName) 
{
    setPointerOut(true);
    setPointer(document.getElementById(CellName),true);
    return true;
}
</SCRIPT>
</HEAD>
<BODY leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" bgcolor="<? echo $normalColor ?>">
<table border=0 cellspacing=0 cellpadding=0 width="100%" align=center height="100%">
<tr align=center VALIGN=top><td bgcolor="black" height=1 colspan=30></td></tr>
<tr align=center VALIGN=middle id="control_tr">
<? 
} 

function db_close(&$db_conn) {
    if ($db_conn!=NULL) { 
	mysql_close($db_conn);
	unset($db_conn);
	$db_conn=NULL;
    }
}

function adm_footer ($type = 1) {
    global $conexion;

    db_close($conexion);

    if ($type==1) {
?>
</tr>
</table>
<? 	} ?>
</BODY>
</HTML>
<? 
}
    
function adm_control_option ($name,$frame,$url,$image = "bullet3.png") { 
    global $normalColor,$jffnms_rel_path;
    if ($image=="") $image = "bullet3.png";
?>
    <td align="center" id="<? echo "option_$name" ?>" bgcolor="<? echo $normalColor ?>" onMouseOver="javascript: setPointer(this,false);" onMouseOut="javascript: setPointerOut(false);"><a target="<? echo $frame ?>" onClick="javascript: onClickControl('<? echo "option_$name" ?>');" style = "{text-decoration: none;color: #0000ff;}" href="<? echo "$url" ?>"><img border=0 src="<? echo "$jffnms_rel_path/images/$image" ?>">&nbsp;<? echo $name ?></a></td>
<?
}

function table_shift_color (&$color) {
    global $table_row_color1,$table_row_color2;
    
    if ($color == $table_row_color1) $color = $table_row_color2;
	else $color = $table_row_color1;
}


function init_manager(&$init,&$span,$actionid,$field,$fieldorder = "",$table = "") {
    if ($init=="") $init = 0;
    if ($span=="") $span = 13;
    if ($fieldorder=="") $fieldorder = $field;
    
    if ($table=="") $tableid="id";
	else $tableid="$table.id";
    
    $norecord1 = "and $tableid > 1 ";
    
    if ($actionid!="") $init_filter = " $norecord1 and $field < ".($actionid+10)." order by $fieldorder desc LIMIT 0,$span";
	else $init_filter = " $norecord1 order by $fieldorder desc  LIMIT $init,$span";

    return $init_filter;
}

function table_header($title,$init,$span,$cols) { 
global $SCRIPT_NAME,$REQUEST_URI;
?>
    <tr bgcolor="#D3DCE3"> 
	<td colspan="<? echo $cols ?>" align=left>
	    <table width="800" cellpadding=0 cellspacing=0>
	    <tr align=center>
<?
	    if ($SCRIPT_NAME) $url= "$SCRIPT_NAME?";
		else ;
	    $url = $REQUEST_URI;
	    
	    adm_table_header_cell("<u>$title Administration</u>");

	    adm_control_option("First","_self","$url&init=0","a-top.png");
	    adm_control_option("Previous","_self","$url&init=".($init-$span),"a-left.png");
	    adm_control_option("Next","_self","$url&init=".($init+$span),"a-right.png");
	    adm_control_option("3rd Next","_self","$url&init=".($init+($span*3)),"a-right.png");
	    adm_control_option("Add","_self","$url&action=add","new.png");

	    adm_table_row_close();
?>
	    </table>
	</td>
    </tr>
<? 
    }     

    function snmp_interfaces($ip,$rocommunity,$hostid) {

	    $query_int="Select id as int_id, interface as int_db from interfaces where host = $hostid";
	    $result_int = mysql_query ($query_int) or die ("Query failed - SI2 - ".mysql_error());

	    $interfaces_id = array("");
	    $interfaces_int = array("");
	    $ifAux = array();

	    while ($register_int = mysql_fetch_array($result_int)) {
    		extract($register_int);
		$interfaces_id[]=$int_id;
		$interfaces_int[]=$int_db;
	    }	

	    $ifDescr =snmpwalk("$ip","$rocommunity","interfaces.ifTable.ifEntry.ifDescr");
	    $ifIndex =snmpwalk("$ip","$rocommunity","interfaces.ifTable.ifEntry.ifIndex");
	    $ifAdminStatus =snmpwalk("$ip","$rocommunity","interfaces.ifTable.ifEntry.ifAdminStatus");
	    $ifOperStatus =snmpwalk("$ip","$rocommunity","interfaces.ifTable.ifEntry.ifOperStatus");
	    $ifSpeed =snmpwalk("$ip","$rocommunity","interfaces.ifTable.ifEntry.ifSpeed");
	    $ifAux =snmpwalk("$ip","$rocommunity","ip.ipAddrTable.ipAddrEntry.ipAdEntIfIndex");
	    $ifAux1 =snmpwalk("$ip","$rocommunity","ip.ipAddrTable.ipAddrEntry.ipAdEntAddr");
	    $ifAlias =snmpwalk("$ip","$rocommunity","ifMIB.ifMIBObjects.ifXTable.ifXEntry.ifAlias");
	    
	    //var_dump($ifAux);
	    //var_dump($ifAux1);
	    for ($i=0; $i < count($ifIndex) ; $i++) {
		$a = array_search($ifIndex[$i],$ifAux); 
		list($aux, $ifAddr[$i]) = explode(":",$ifAux1[$a]);
		list($aux, $ifSpeed[$i]) = explode(":",$ifSpeed[$i]);
		$ifSpeed[$i]=round($ifSpeed[$i]/1000);
		list($ifAdminStatus[$i],$aux ) = explode("(",$ifAdminStatus[$i]);
		list($ifOperStatus[$i],$aux ) = explode("(",$ifOperStatus[$i]);
		$ifAddr[$i] = trim($ifAddr[$i]);
		
		if (strpos($ifAddr[$i],".") > 0) {
		    $aux = explode(".",$ifAddr[$i]);
		    if ($aux[3]%2) $aux[3]++;
			else $aux[3]--;
		    $peerAddr[$i] = implode(".",$aux);
		}

	    }
	//var_dump($ifAddr);
?>
	<table border=0 cellspacing=0 width="60%" align=center>
<?
	adm_table_row();
	adm_table_header_cell("Action","center");
	adm_table_header_cell("Num");
	adm_table_header_cell("Interface");
	adm_table_header_cell("Description");
	adm_table_header_cell("Admin");
	adm_table_header_cell("Oper");
	adm_table_header_cell("Speed","right");
	adm_table_header_cell("Address","right");
	adm_table_header_cell("Peer Guess","right");
	adm_table_row_close();

	for ($i=0; $i<count($ifIndex); $i++) { 
	    $ifDescr[$i] = str_replace("\"","",$ifDescr[$i]);
	    $ifAlias[$i] = str_replace("\"","",$ifAlias[$i]);
	    
	    table_shift_color($color);
	    adm_table_row($color);

	    $pos = array_search($ifDescr[$i],$interfaces_int);

	    if ($pos>0) {
	    	adm_table_cell (linktext("Edit","adm_interfaces.php?action=edit&actionid=".$interfaces_id[$pos]),"center");
	    }  else { 
	    	adm_table_cell (linktext("Add","adm_interfaces.php?action=add&actionmode=nodb&host=$hostid&interface=$ifDescr[$i]&interfacenumber=$ifIndex[$i]&description=$ifAlias[$i]&bandwidthin=".($ifSpeed[$i]*1000)."&bandwidthout=".($ifSpeed[$i]*1000)."&address=$ifAddr[$i]&peer=$peerAddr[$i]"),"center");
	    }            
	    
	    adm_table_cell($ifIndex[$i]);
	    adm_table_cell($ifDescr[$i]);
	    adm_table_cell(substr($ifAlias[$i],0,20));
	    adm_table_cell($ifAdminStatus[$i]);
	    adm_table_cell($ifOperStatus[$i]);
	    adm_table_cell($ifSpeed[$i],"right");
	    adm_table_cell($ifAddr[$i],"right");
	    adm_table_cell($peerAddr[$i],"right");
	    adm_table_row_close();
	}
?>
    </table>
<?	
    }	

function memobox($name,$rows,$cols,$value) {
    return "\n\t<textarea rows='$rows' cols='$cols' name='$name'>$value</textarea>\n";
}

function checkbox($name,$var) {
    if ($var==1) $checked=" checked";
    return "<input type=checkbox name='$name' value=1 $checked>";
}

function textbox($name,$var,$len = 0) {
    if ($len==0) $len = strlen($var);
    return "<input type=textbox size='$len' name='$name' value='$var'>";
}

function adm_form_submit($name = "Submit") {
    return "<input type=submit value='$name'>";
}

function adm_standard_edit_delete($type = 1) {
    global $id,$REQUEST_URI;
    adm_control_option ("","_self","$REQUEST_URI&action=edit&actionid=$id","edit.gif");
    adm_control_option ("","_self","javascript: DeleteRow('$id','$REQUEST_URI&action=delete&actionid=$id');","delete.gif");
    if ($type==2) adm_control_option ("","_self","$REQUEST_URI&action=view&actionid=$id","query.gif");
}

function linktext ($name, $url) {
    return "<a href='$url'>$name</a>";
}

function filter_sql($filter_id) {
    $query_filter_aux = "select filters_cond.pos, filters_fields.field, filters_cond.op, filters_cond.value
	    from filters_cond, filters_fields
	    where filters_cond.filter = '$filter_id' and filters_cond.field = filters_fields.id
	    order by filters_cond.pos";
    $result_filter_aux = mysql_query($query_filter_aux) or die ("Query failed - FS1 - ".mysql_error());
    $sql="( ";
    while ($registro_filter_aux = mysql_fetch_array($result_filter_aux)) {
	extract($registro_filter_aux);
	if (($field=="AND") or ($field=="OR"))  //for special fields
	    $sql .= " $field ";
	else if (strpos($value,"(") > 0 ) $sql .="($field $op $value)"; //this is for SQL functions like NOW()
		else $sql .="($field $op '$value')"; //for other values
    }
    $sql .=" )";
    return $sql;
}

function select_general($control_name,$table,$where="(1=1)",$order = "id" ,$match_field = "id" ,$match_value, $show_field = "id") {
    $result_aux = mysql_query (
    "Select $match_field as match_aux, $show_field as show_aux from $table where (1=1) and $where 
    order by $order") or die ("Query failed - SZ1 - ".mysql_error());
    
    $select .="\n\t<select name='$control_name'>\n";
    while ($registro_aux = mysql_fetch_array($result_aux)) {
	extract($registro_aux);
	if ($match_value==$match_aux)  $selected = " Selected"; else $selected = "";
	$select .="\t\t<option value='$match_aux'$selected>$show_aux</option>\n";
    }
    $select .="\t</select>\n";
    unset ($result_aux);    
    return $select;
}

function select_types ($name,$type_id) {
    return select_general($name,"types","(1=1)","description","id",$type_id,"description");
}

function select_interfaces ($interface_id) {
    return select_general("interface_id","interfaces, clients","interfaces.client = clients.id","clients.shortname, interfaces.description","interfaces.id",$interface_id,"concat(clients.shortname,' - ',interfaces.description)");
} 

function select_maps ($map_id) {
    return select_general("map_id","maps","(1=1)","name","id",$map_id,"name");
} 

function select_slas ($sla_id) {
    return select_general("sla_id","slas","(1=1)","description","id",$sla_id,"description");
}

function select_clients ($client_id) {
    return select_general("client_id","clients","(1=1)","name","id",$client_id,"name");
}

function select_users ($user_id) {
    return select_general("user_id","auth","fullname != ''","fullname","id",$user_id, "fullname");
} 

function select_authorization_tags ($tag_id) {
    return select_general("authorization_tags_id","authorization_tags","id","description","id",$tag_id,"description");
}

function select_zones ($name,$zone_id) {
    return select_general($name,"zones","id","zone","id",$zone_id,"zone");
}

function select_hosts ($name,$host_id) {
    return select_general($name,"hosts,zones","hosts.zone = zones.id","hosts.id","hosts.id",$host_id,"concat(hosts.name,' ',zones.shortname)");
}

function select_severity ($name, $severity_id) {
    return select_general($name,"severity","(1=1)","id","nivel",$severity_id,"concat(nivel,' - ',severity)");
} 

function select_alarm_states ($alarm_states_id) {
    return select_general("alarm_states_id","alarm_states","(1=1)","description","id",$alarm_states_id,"description");
}

function select_slas_cond ($slas_cond_id) {
    return select_general("slas_cond_id","slas_cond","(1=1)","description","id",$slas_cond_id,"description");
}

function select_filters ($filters_id) {
    return select_general("filter_id","filters","(1=1)","description","id",$filters_id,"description");
}

function select_filters_fields ($filters_fields_id) {
    return select_general("filter_field_id","filters_fields","(1=1)","description","id",$filters_fields_id,"description");
}

